Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.qd
Class QDException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--quicktime.QTException
                        |
                        +--quicktime.qd.QDException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  NativeGraphicsException

public class QDException
extends QTException

A General catch all class that is used to signal errors that occur from QT calls

See Also:
  Serialized Form

Constructor Summary
`QDException(int val)` Creates an exception with a specific error number
`QDException(java.lang.String str)` Creates an exception with a message that could contain information that could be displayed to the user.

Method Summary
`static void` | `checkError(int err)` This method will throw an exception if the incoming err argument is a non-zero value.

Methods inherited from class quicktime.QTException
`errorCode, errorCodeToString, errorCodeToString, isDrawingError, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QDException

    public QDException(java.lang.String str)

  Creates an exception with a message that could contain information that could be displayed to the user.
  Parameters:
    `str` - The message that could be displayed to the user

### QDException

    public QDException(int val)

  Creates an exception with a specific error number
  Parameters:
    `val` - the error number

Method Detail

### checkError

    public static void checkError(int err)
                           throws QDException

  This method will throw an exception if the incoming err argument is a non-zero value.
  Parameters:
    `err` - the result or error code if non-zero an exception is thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD